Skip to main content
GET
/
v1
/
webhooks
/
deliveries
/
dlq
List dead-letter queue
curl --request GET \
  --url https://api.getsly.ai/v1/v1/webhooks/deliveries/dlq \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type": "<string>",
      "status": "pending",
      "attempts": 123,
      "max_attempts": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "last_response_code": 123,
      "last_response_body": "<string>",
      "last_attempt_at": "2023-11-07T05:31:56Z",
      "next_retry_at": "2023-11-07T05:31:56Z",
      "dlq_at": "2023-11-07T05:31:56Z",
      "dlq_reason": "<string>",
      "delivered_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Query Parameters

webhook_id
string<uuid>
since
string<date-time>
page
integer
default:1
limit
integer
default:50
Required range: x <= 200

Response

200 - application/json

DLQ entries

data
object[]
required
pagination
object
required